[Learn Plover!](https://sites.google.com/site/learnplover/) is a great introduction to Plover's theory and has everything you need to get started writing in steno. However, there are some patterns across Plover's dictionary which are not documented there. This document aims to show some of the hidden patterns. It also suggests some others that you can consider using in your personal dictionary.

<img src="http://qwertysteno.com/Images/steno-keyboard1.gif">

## In the Main Dictionary

You can start using these patterns today!

### `SPW-` for int- and ent-

<img src="https://images.discordapp.net/eyJ1cmwiOiJodHRwczovL2Rpc2NvcmQuc3RvcmFnZS5nb29nbGVhcGlzLmNvbS9hdHRhY2htZW50cy8xMzY5NTM3MzU0MjY0NzM5ODQvMzE1OTMxNDg1MzU2MTYzMDg0L1NQVy0ucG5nIn0.PmMTgOlKRGBqsKjRfj79wRGZ2FU">

This  originated in the first steno theory, published by Ward Stone Ireland in the early 20th century. Today, it is also a part of Magnum steno. There are some entries in the default dictionary that use `SPW-`, although it's not documented in [Learn Plover]. Examples:

  [Learn Plover]: https://sites.google.com/site/learnplover/

* `SPWEPBLGT` for "intelligent".
* `SPWRABGT` for "interact".
* `SPWER` for "enter".
* `SPWAOEURL` for "entirely".

### `-FRP` for -mp
<img src="https://images.discordapp.net/eyJ1cmwiOiJodHRwczovL2Rpc2NvcmQuc3RvcmFnZS5nb29nbGVhcGlzLmNvbS9hdHRhY2htZW50cy8xMzY5NTM4MDk0MDk4MDIyNDAvMzE1OTMyODQwMDc4NjA2MzM3Ly1GUlAucG5nIn0.7yN5cWWjUUj214MTDMRoactcKGY">

Usually, Plover theory (and Mirabai) uses `*PL` for the -mp sound in the end of a syllable. It can be difficult to add sounds after it. Instead, you can use `-FRP` to avoid conflicts and add `-B`, `-L` after -mp.

Common uses of this are to add -mpl or -mbl to the end of a stroke:

* `AFRP` for "amp" and `AFRPL` for "ample". This reduces conflicts with "apple" and "am".
* `EUFRP` for "imp"

### `-FP` and `-AOUFP` for -ture
<img src="https://images.discordapp.net/.eJwNxEsOhCAMANC7sB_K11APMGuvQJCgiVpC68p495m3eI-6x6FmtYl0ngHWnQuNVbPQyK3qRtSOmvvOutAJWSSX7ayXMFg_YfTJYDCYjHPBgLcR_T-LwaYUcXLw-S66X029P3evIJM.quQ3BjFFrW-Wn79vtoHMSe2U594">

<img src="https://images.discordapp.net/eyJ1cmwiOiJodHRwczovL2Rpc2NvcmQuc3RvcmFnZS5nb29nbGVhcGlzLmNvbS9hdHRhY2htZW50cy8zMTU5MzQwNjAxNTUzNzE1MjEvMzE1OTM0NTY0MTE3OTA1NDEwL0FPLVVGUC5wbmcifQ.eOkuTdrVDh49idcRD_ztb5ZBN3c">

`-FP` is used for the -ch sound in words like "catch". The default dictionary also includes many briefs where it is used for the -ture suffix. for example: "nature", which can be stroked as `TPHAEUFP` (naich).

A note: For some of these words, a tense u sound (`AOUFP`) is used for -ture instead of just the `-FP`:

* `TPHAEUFP` for "nature"
* `KRAOEFP` for "creature"
* `KAOUFP` for "culture"
* `TPAOEFP` for "feature"
* `P*EUFP` for "picture"
* `STRAOUFP` for "structure"
* `SKAOUFP` for "sculpture"
* `FRA*FP` or `FRAOUFP` for "fracture"

## Non-Plover Theory Ideas

You will need to define new strokes in your dictionary with these ideas.

### `SKP-` for ex-
<img src="https://images.discordapp.net/eyJ1cmwiOiJodHRwczovL2Rpc2NvcmQuc3RvcmFnZS5nb29nbGVhcGlzLmNvbS9hdHRhY2htZW50cy8xMzY5NTM4MDk0MDk4MDIyNDAvMzE1OTMzNjAwMzUwNjAxMjM3L1NLUC0ucG5nIn0.XnB7R4DxhVOeSpgr6mNIje2YCdE">

The default dictionary uses a combination of `KP-` and `S-` to make the leading ex- sound. For example: `KPEUT` for "exit" for `SPHRAEUPB` for "explain". 

The rules for which one to use [depend on the consonant following the ex-](https://www.dropbox.com/s/fa7fch2eocubrde/Philadelphia%20Clinic.pdf?dl=0). If you don't like this, you can use `SKP-` for a leading ex-:

* `SKPRAGT` for "extract".
* `SKPERPBL` for "external".
* `SKPHRAEUPB` for "explain".

Note: The leading `SKP-` is also used for some phrase briefs starting with "and" in the default dictionary. 
For example:

* `SKPEBG` for "and he can"
* `SKPALS` for "and also". 

If this is a problem for you, you can also try `SK*` instead of `SKP-`.

### `KPW-` for im- and em-
<img src="https://images.discordapp.net/eyJ1cmwiOiJodHRwczovL2Rpc2NvcmQuc3RvcmFnZS5nb29nbGVhcGlzLmNvbS9hdHRhY2htZW50cy8xMzY5NTM4MDk0MDk4MDIyNDAvMzE1OTMzODA5ODQzMzcyMDMzL0tQVy0ucG5nIn0.V7JbEqDmCU4LLvjgKmaQG351A7s">

Examples:

* `KPWRES` for "impress".

### `-FR` for -m
<img src="https://images.discordapp.net/.eJwtyEEOhCAMAMC_cF_aikj0AfsAf0CAoIlaQuvJ7N_34hznMXc_zGI21SYLQN4lcc9WlHusxVbmepTYdrGJT4iqMW1nuVTAkZ_diBOS9y6QH-gtmhAdIoZhDvD5rrZd1fz-dDIgcg.eRrlLVQMtQVEDI0MRpiLtfXMmMc">

Above it's shown that `-FRP` can be used in the default dictionary for -mp. This stroke extends that idea:
 
If `-PL` causes an issue (for example: "camel"), use `-FR`.

For example:

* `KAFRL` for "camel"