Sometimes (for instance, to [manually install plugins](https://github.com/openstenoproject/plover/wiki/Manually-Installing-Plugins)) you're required to run a command from the command-line.

The method is specific for each operating systems and shells. (Powershell, Windows command shell, bash, zsh, etc.)

In the example below, assume that the following command should be executed:

```
plover -s plover_plugins install plover-stenograph-usb
```

To run other commands, modify the arguments (`-s plover_plugins install plover-stenograph-usb`) accordingly.

See also [Command Line Reference - Plover 4.0.0-dev10<sup>[external link]</sup>](https://plover.readthedocs.io/en/latest/cli_reference.html) for other commands that can be executed.

## Compatible Versions

Ensure you are running Plover 4.x.

## Windows

1. Find Plover's installation directory. It usually is in the format `C:\Program Files (x86)\Open Steno Project\Plover 4.0.0`. 
    
    You can find it by right-clicking a shortcut to Plover and selecting "Open File Location"

    ![Right-clicking shortcut to show Open File Location option](https://i.imgur.com/jsXQZA4.png)
2. You should see `plover.exe` and `plover_console.exe` in this folder. **Holding shift**, right-click and select "Open PowerShell Window Here" or "Open Command Prompt Window Here."

    ![Open Powershell option highlighted](https://i.imgur.com/vJAC3tE.png)
3. Type in the following command:

        .\plover_console.exe -s plover_plugins install plover-stenograph-usb

    ![Command above in Powershell](https://i.imgur.com/3AG4zfA.png)

4. Press Enter to run the command.

    ![Successful install screenshot with message highlighted](https://i.imgur.com/GfawoX3.png)

## Mac

1. Open the Terminal app
2. Assuming Plover in installed in your Applications folder, enter this into Terminal and hit enter: 
    ```
    /Applications/Plover.app/Contents/MacOS/Plover -s plover_plugins install plover-stenograph-usb
    ```

## Linux (AppImage)

1. Execute the command in the command-line:

    ```
    plover.AppImage -s plover_plugins install plover-stenograph-usb
    ```