- [Suggested Learning Route](#suggested-learning-route)
- [Textbooks](#textbooks)
- [Glossary](#glossary)
- [Tools](#tools)
- [Plugins](#plugins)
- [Practice writing using stenography](#practice-writing-using-stenography)
  - [Practice material and tools made for stenography](#practice-material-and-tools-made-for-stenography)
  - [Dictation](#dictation)
  - [Volunteer Projects Needing Transcription](#volunteer-projects-needing-transcription)
  - [Other Typing Sites](#other-typing-sites)
- [Flashcards](#flashcards)
- [Cheat sheets](#cheat-sheets)

## Suggested Learning Route

> :warning: This is just a suggestion for people who are unsure of where to start! Feel free to skip parts, or do things out of order, or do other things entirely. The best way to learn is the one you enjoy and can stick to. 

| Learning Level | Suggestion |
| - | - |
| Absolute Beginner | **Start reading a [textbook](#textbooks).** [The Art of Chording](https://www.artofchording.com/) seems to be more popular, but [Learn Plover!](https://sites.google.com/site/learnplover/) is more complete (covering punctuation and numbers as well).<br><br>**Join the [discord](https://discord.com/invite/0lQde43a6dGmAMp2)**. It can be easier to learn with other people. The discord is full of friendly people you can chat to and ask questions about steno and Plover.<br><br>**Read the [[Glossary]]**. There may be a bunch of terms that come up in the textbooks and when discussing stenography that you'll want to know. |
| Learning the Keyboard | [**Learn the Steno Keyboard on Steno Jig**](https://joshuagrams.github.io/steno-jig/learn-keyboard.html). It can be easier to learn where all the keys are on the steno keyboard separately from learning vocabulary, and not dive into chording right away. You will need to [turn off the dictionaries](https://joshuagrams.github.io/steno-jig/raw-steno-instructions.html) to use this. |
| Learning the keyboard (QWERTY) | **Download one of the keyboard [cheat sheets](#cheat-sheets)**. |
| Beginner vocabulary |**Practice writing with a [steno-focused tool](#practice-writing-using-stenography)**. Popular tools are [Typey Type](https://didoesdigital.com/typey-type/), [Steno Jig](https://joshuagrams.github.io/steno-jig/) and [Practice Plover](https://practiceplover.com/). <br><br>**Start using [flashcards](../wiki/Using-Anki-for-Learning-Stenography)**. Some people like using flashcards to practice vocabulary and identify problem words.<br><br>**Learn to use [tools](#tools) and [plugins](#plugins)**. These can help you discover how to write new words and briefs that may not come up in early lessons.<br><br>**Check out the [[Misleading Strokes in Plover's Dictionary]] and [[Top 100 English Words in Plover's Dictionary]]**. It's common to have questions about why a word is stroked that way, or why you should pick one option over the other. |
| Intermediate vocabulary | **Practice on [other typing sites](#other-typing-sites)**. Many of these will have you practicing quotes with unseen text. It can be useful to learn fingerspelling and punctuation before you try these so you don't get stuck.<br><br>**Start adding your own entries to the dictionary**. Learn how Plover's [[Dictionary Format]] works, and try using the Add Translation dialog to add your own vocabulary and briefs. Every stenographer's dictionary is going to be personal for them (and may be specific to certain contexts). For example, Plover's main dictionary contains many legal and medical briefs which you may want to override with vocabulary you use more often. |
| ~30wpm | **Start using stenography in your day-to-day writing.** Check out [this FAQ answer](https://github.com/openstenoproject/plover/wiki/Frequently-Asked-Questions#can-i-use-plover-for-normal-computer-use) for tips. (30wpm is roughly where people aren't frustrated with their speed, but this may vary). |
| ~50wpm | **Practice with [Steno Arcade](https://store.steampowered.com/app/449000/Steno_Arcade/), or other slow [dictation](#dictation)**. (About 50wpm is what you need for the slowest song included with Steno Arcade, but it's possible to add your [own songs](https://timothyaveni.com/wavelyric/) which you may find easier). |
| ~100wpm | **Consider investing in steno [hardware](https://github.com/openstenoproject/plover/wiki/Supported-Hardware)**. Steno hardware is nice to have at any speed, but at about 100wpm it starts to have a bigger impact on your speed and endurance. |


## Textbooks

These sites aim to teach you steno theory, from the layout to the terminology to the strokes.

- [The Art of Chording](https://www.artofchording.com/)

    _The Art of Chording_ is a textbook that aims to guide the student through their stenography learning by providing a broad amount of knowledge from the first lesson on. The goal is to get students writing real words and sentences as quickly as possible and then delve into the minutiae of how to write with Plover's default dictionary quickly and without conflict. It includes additional sections on approaches borrowed from other steno theories that can be found in Plover's default dictionary.

- [Learn Plover!](https://sites.google.com/site/learnplover/) ([EPUB](https://isidore.co/calibre/get/EPUB/7784), [PDF](https://isidore.co/calibre/get/PDF/7784))

    _Learn Plover!_ is a free online textbook by Zack Brown, based on his steno tutoring sessions with Mirabai Knight. It offers a step-by-step introduction to Plover for beginners, with practice material at the end of every chapter. The accompanying exercises are available online in several places, notably [Steno Jig](https://joshuagrams.github.io/steno-jig/learn-plover.html) and [Typey Type](https://didoesdigital.com/typey-type/lessons).

## Glossary

For a glossary of terms used in stenography and plover, see the [[Glossary]] page.

## Tools

Plover comes with a lot of [[built-in tools]] which are useful for learning, such as:

  - Lookup. Write words here to see how you can write them.
  - Stroke Suggestions. Suggests alternative ways of writing the words you write.
  - Paper Tape. Shows which keys Plover thinks you're pressing.

## Plugins

Check out [[Plugins]] for how to install plugins.

Check out the [awesome-plover page list of plugins](https://github.com/openstenoproject/awesome-plover#plugins) for a longer list of awesome plugins.

Here are 3 community favourites.

 - [Spectra Lexer](https://github.com/fourshade/spectra_lexer)

    This is like the lookup or suggestions window, but with a lot of extra features such as explanations for why a word is briefed that way and diagrams. There is also a [web version](https://spectra.sammdot.ca/) and a bot in the [discord server](https://github.com/openstenoproject/plover/wiki/Links-to-the-Steno-Community), though these only use the default Plover dictionaries and not any additional user dictionaries you may have.

 - [Plover-clippy](https://github.com/tckmn/plover_clippy) or [Plover-clippy-2](https://github.com/Josiah-tan/plover_clippy_2)

    Logs suggestions that are more efficient than what you used to type to a file in your plover configuration directory. Useful for finding new briefs, especially for phrases. By default the output of Plover-clippy-2 is written into `clippy_2.org` in your config folder, which you can open from Plover's menu item "Open config folder". Open the clippy file in a text editor and review it from time to time to see what you could type more efficiently.
        <img width="500" alt="Screenshot of Plover's menu item, Open config folder, under File" src="https://user-images.githubusercontent.com/2476974/153804408-3e4be300-1139-4af4-b3bf-8414752fa7de.png">

 - [Plover Word Tray](https://github.com/Kaoffie/plover_word_tray)

    Automatically looks up efficient outlines for words that start with the current input, much like autocomplete suggestions. It's similar to the [lookup window](https://github.com/openstenoproject/plover/wiki/Built-in-tools#lookup-tool) and [suggestions window](https://github.com/openstenoproject/plover/wiki/Built-in-tools#stroke-suggestions) in one. In addition, if you are stuck on a word, you can start fingerspelling it or sound out the first syllable and it'll try to guess what you're trying to spell.

## Practice writing using stenography

### Practice material and tools made for stenography

- [Typey Type for Stenographers](https://didoesdigital.com/typey-type/)

    Type Type for Stenographers is a drilling and learning resource with a fair amount of practice material and detailed quantitative feedback. It includes lessons that follow the [Learn Plover!](https://sites.google.com/site/learnplover/) book and lets you [upload your own practice material](https://didoesdigital.com/typey-type/lessons/custom/setup). It also has [dictionaries](https://didoesdigital.com/typey-type/dictionaries), [flashcards](https://didoesdigital.com/typey-type/flashcards), [recommendations](https://didoesdigital.com/typey-type/progress) on how much of which lesson to do next, a [break timer](https://didoesdigital.com/typey-type/break), a [lookup tool](https://didoesdigital.com/typey-type/lookup), and a [diagram generator](https://didoesdigital.com/typey-type/writer).

    Beginners may want to reduce the word count and/or repetitions in the settings to make the lessons a more reasonable length. (Doing 45×3 words at 5 WPM takes 27 minutes!)

- [Steno Jig](https://joshuagrams.github.io/steno-jig/)

    Steno Jig has a wide variety of words, sentences, etc that you can practice with optional stroke suggestions. There are several beginner drills, and a large set of vocabulary words, and sentence practice drills that you can work through to gradually learn the top 8,000 most used words. It has [Learn Plover! drills](https://joshuagrams.github.io/steno-jig/learn-plover.html) with stroke hints and lookahead display.

- [Steno Grade](https://biffbish.github.io/steno-grade/)

    Steno Grade is a fork of Steno Jig that aims to improve interface and add functionality. It has a built in spectra integration within its hint system and more configurable grading options. The page is in early beta but stay tuned to see updates.

- [Practice Plover](https://practiceplover.com/)

    Practice Plover is a newer tool and still under construction. It has a whole set of interactive beginner exercises, many with audio, taking you most of the way through the material covered by Learn Plover.

- [Qwerty Steno](http://qwertysteno.com/Home/)

    Qwerty Steno is a fantastic resource which has a tutorial on steno theory written by Mike Neale of the Open Steno community. It is made for use with a qwerty keyboard, without needing to download or enable Plover.

- [The Steno Grind](https://noahrayroberts.com/apps/the-steno-grind/)

    The Steno Grind provides interactive drills for any combination of exercises from _The Art of Chording_.

- [Plover Dojo](http://ploverdojo.appspot.com/) (unavailable)

    A lovely visual approach to learning the keyboard and basic chords, using a standard QWERTY keyboard, by JR, Jay Liu, and Myrntillae Nash.

- [Top 100 Words in Plover's Dictionary](https://github.com/openstenoproject/plover/wiki/Top-100-English-Words-in-Plover's-Dictionary)

    A small tutorial covering the top 100 English words according to Wikipedia. Many of them are briefs and this text gives some insight as to why these strokes are the way they are.

- [StenoCycle](https://www.stenoshortcake.com/)

    Driving game - early prototype, but does let you drill your own words and phrases.

### Dictation

If you want to eventually caption speakers, you will need to be able to take dictation.

- [Steno Arcade](http://store.steampowered.com/app/449000/)

   Steno Arcade is a project funded by the Open Steno Project, developed by [For All To Play](http://www.foralltoplay.com/). It contains Steno Hero, a game where you write lyrics in time with a singer and get graded on accuracy. You can create custom song files for use in the game by using [wavelyric](http://timothyaveni.com/wavelyric/). The easiest song requires a speed of about 50 WPM.

- Television

   Try captioning your favorite TV show once you are able to. Nature documentaries are especially good for beginners because they tend to have long pauses between dialogue.

- Twitch and other streaming sites

  Game streams can provide a variety of casual vocabulary and, depending on the streamer, have enough pauses to be easier.

- [YouTube](https://youtube.com)

  You can find a variety of videos on YouTube. There are videos specifically for dictation (search "dictation X WPM"), as well as material designed for ESL students, and speeches by your favorite speaker.

  You might want to download a browser extension (available for both Chrome and Firefox) which allows you to control the video playback speed with more fine-tuned control.

- [Platinum steno](https://www.youtube.com/c/PlatinumSteno/playlists)

  Platinum steno is a court reporter course that is now free for all on YouTube. It provides theory lessons (although it uses a different theory to Plover's), and a large amount of dictation material from 60 WPM to 225 WPM. Paul Fioravanti has written two excellent blog posts on following their course: [one on doing the theory courses after learning Plover theory](https://www.paulfioravanti.com/blog/going-platinum/), and [one more general post on using Plover with Q&A style dictation](https://www.paulfioravanti.com/blog/plover-for-the-record/).

- [Stenonymous's Resource Page](https://stenonymous.com/2017/08/12/resource-page/)

  This resource page has lots of great resources, including links to many dictation services. It also has information on whether or not they are paid services and what speed they go up to.

- [StenoTube](http://stenotube.com/category/practice-dictation/)

  A selection of dictations, though mostly at higher speeds.

- [Pitman London](http://www.pitmanlondon.co.uk/shorthandspeed/)

   Pitman London has a page of dictation for people learning pen shorthand. The dictation ranges in speed from 40WPM to 130WPM.

- [IPS](https://the-ips.org.uk/examinations/dictation-practice/)

  Dictations ranging from 100 WPM to 280 WPM.

- [Court Reporting Help](http://courtreportinghelp.com/)

   CRH has some free dictation posts. Especially useful is the [Magic Drill](https://web.archive.org/web/20181107020646/http://courtreportinghelp.com:80/2016/01/02/magic-drills-free-audio-speed-drills/), for beginners and experts alike.
- [englishlearning.webgarden.es](http://englishlearning.webgarden.es/menu/1st-and-2nd-eso-year/easy-reading-texts)

   This repository of ESL resources has some simple texts with slow dictation. In particular, "Easy Reading Texts" for 1st and 2nd year students and "Reading Texts" for 3rd and 4th year students tend to be dictated at around 100 WPM.

- [www.stenolife.com](https://www.stenolife.com/index.php/site/dictation/index)

   Many short pieces are available across a wide range of speeds. Making an account is required.

- [www.ev360ultimate.com](http://www.ev360ultimate.com/ev360u/moodle/login/index.php)

   A repository with longer pieces and guided practice sessions. Making an account is required.

- Make your own: Christopher Day has an article on [How to Create Timed Dictation](https://stenonymous.com/2019/09/21/how-to-create-timed-dictation/) and Josh Grams has a [tool for adding timing marks](http://joshgrams.com/2022/01/17/drillmaker.html) (which can also repeat/shuffle lists of problem words, if you want to dictate those at a particular speed).


### Volunteer Projects Needing Transcription

- [Library of Congress By the People Project](https://crowd.loc.gov/)

   Volunteer project transcribing historical texts.

### Other Typing Sites

Sites not made for steno are not ideal for use with Plover, but they offer good quality practice material for the intermediate stenographer, or to judge your skills with a metric.

Depending on the site, you might want to adjust Plover's spacing setting (before or after).

- [TypiNation](https://www.typination.com/)

    Multiplayer typing game with a stenography user option. Has a mode to show steno strokes for each word based on the Plover default dictionary.

- [keyma.sh](https://keyma.sh)

    Multiplayer typing website with a stenography world and public racing rooms.

- [monkeytype](https://monkeytype.com/) *Some steno users have reported having their scores not saved as they were detected as bot-like*

    Typing game with many different modes, including copy practice, timed practice, and quotes. (The quotes are now available on [Steno Jig](https://joshuagrams.github.io/steno-jig/form.html) as well).

    You may want to change some settings for steno input to work well:

    | setting name    | setting | notes |
    | --------------- | ------- | - |
    | freedom mode    | on      | Allows you to delete any word, even if typed wrong |
    | strict space    | on      | Spaces are strict. This can make it harder, but it's recommended to keep it on so that you know what is/isn't a prefix or suffix stroke |
    | stop on error   | off     | Allows you to write incorrect characters |
    | confidence mode | off     | Allow you to backspace |
    | quick end       | off     | If on, means that the test will end as soon as the last word is is typed, even if incorrect |
    | indicate typos  | below/replace | Show typos |

- [ZType](https://zty.pe/)

    Vertically scrolling shooter: write the words to shoot them. Nice graphics and sound effects. Press enter to save yourself with one of your three bombs, asterisk/backspace to unlock it when it locks onto the wrong word.

- [TypeRacer](http://typeracer.com) *Now bans steno users who show up in leaderboards, a sudden flip after years of steno users being allowed on the site*

    Online realtime typing competition. Use the [steno universe](https://play.typeracer.com/?universe=steno) to avoid getting banned (but it does mean racing against fewer real people).

    There is an input character limit which can get in the way when writing fast or writing phrases. You can install [this user script](https://greasyfork.org/en/scripts/35832-typeracer-no-input-limit) to get around the limit ([instructions](https://greasyfork.org/en)).

- [10 Fast Fingers](https://10fastfingers.com/typing-test/english) *Bans steno users who break 100WPM*

    Short test of most common words.

## Flashcards

You can use flashcards to help you memorise briefs, theory rules, phrases and more. See [Using Anki for Learning Stenography](https://github.com/openstenoproject/plover/wiki/Using-Anki-for-Learning-Stenography) for more details on how to get set up and community materials.

## Cheat sheets

Quick image and text references.

- QWERTY to steno layout
  - [Steno board next to the QWERTY layout](https://lh3.googleusercontent.com/-w2QPSfUjHo8/V18o1J9cZNI/AAAAAAAAA-s/qPYSz2XkJhoLARsznLA_rMAq26i_G6oPgCLcB/s1600/US.png)
  - Steno keys on top of a QWERTY keyboard
    - [Full keyboard](http://i.imgur.com/qIh1iJ0.png)
    - [Faded QWERTY](https://cdn.discordapp.com/attachments/136953735426473984/856464615469875200/Keyboard_Mapping.png)
    - [Faded QWERTY, with finger positions](https://media.discordapp.net/attachments/136953809409802240/908852177873817620/Keyboard_Mapping_2.png)

- [Learn Plover! Cheat sheet](https://sites.google.com/site/learnplover/appendix-cheat-sheet)
    - [Chart with all the standard sounds in Plover on the steno board](https://docs.google.com/file/d/1Yi93aHaxe3L-_ePtq3bujv7o1CCLmmgim8iuL_Sx2IY/edit)
    - [Which fingers to use for each key](https://docs.google.com/file/d/1grC3Bv3FCAVeNez4OzjzkGJDwQj4JouclzXNdpWzyF4/edit)
    - [Steno order](https://docs.google.com/file/d/1jhAEN4NfSmbCcuLRug_h1TKdWSKOcQYAxlkFuBopXs4/edit)
    - Quick text references for:
      - [Fingerspelling](https://sites.google.com/site/learnplover/appendix-cheat-sheet#TOC-Fingerspelling)
      - [Briefs](https://sites.google.com/site/learnplover/appendix-cheat-sheet#TOC-Briefs)
      - [Prefix/Suffix strokes](https://sites.google.com/site/learnplover/appendix-cheat-sheet#TOC-Prefix-And-Suffix-Strokes)
      - [Non-letters](https://sites.google.com/site/learnplover/appendix-cheat-sheet#TOC-Non-Letters)
      - [Numbers](https://sites.google.com/site/learnplover/appendix-cheat-sheet#TOC-Numbers)

- [Steno Explained](https://steno.sammdot.ca/explainers)
  - [Steno Terminology](https://steno.sammdot.ca/steno-terminology.png)
  - [Plover Theory Basics](https://steno.sammdot.ca/plover-basics.png)
  - [Numbers](https://steno.sammdot.ca/plover-numbers.png)
  - [Fingerspelling](https://steno.sammdot.ca/plover-fingerspelling.png)
  - charts for popular dictionary systems (e.g. for symbols and phrasing) and other language theories also available on [Steno Explained](https://steno.sammdot.ca/explainers)
