
Plover comes with a free 140,000 word steno dictionary. You can add other dictionaries to Plover, for foreign languages, specialist terminologies, special projects etc. 

In addition to creating your own personal dictionaries, you can download free, open source steno dictionaries that have been developed by others. You'll find links to many of these below.

## Stenodict

You'll find many free, open source steno dictionaries at the [Stenodict](https://www.openstenoproject.org/stenodict/) website. 

| Purpose                            | Author             | Description        |
| ---------------------------------- | ------------------ | ------------------ | 
|Arrows | Ted Morin | Symbolic arrows → → made easy |
| Cross Platform Movement |Ted Morin | Movement and selection across Mac, Windows, and Linux |
| Di’s Mac Movement| Diana MacDonald | Extensive Mac movement and selection |
| Di’s Vim Commands | Diana MacDonald | Vim and steno were made for each other |
| Emoji | Ted Morin | Complete Emoji dictionary 😃 |
|General Command Line| Diana MacDonald | Briefs and entries for terminal users |
| Left Hand Modifier Keys | Achim Siebert | Left-hand keyboard shortcuts in only two strokes |
Left-side Mac Movement | Achim Siebert |Left movement shortcuts with selection for Mac |
| Markdown | Ted Morin| Best markup language meets best text entry system |
| Pokémon| Ted Morin | First 151 Pokémon written with Plover theory |
|Spectacle | Ted Morin | Window management with Spectacle, the free application for OS X |
| UK Spellings| Ted Morin | Replace US spellings in Plover's default dictionary |
| Unspaced Punctuation| Diana MacDonald| Punctuation with all the spaces suppressed |
| Vim Captioning| Mirabai Knight| Useful realtime captioning commands for Vim |

## Stanley Sakai's Steno dictionaries

Stanley Sakai's repository on GitHub - [Stanley's Steno Dictionaries](https://github.com/stanographer/steno-dictionaries)

| Language                      | Description       | 
| ---------------------------------- | ------------------ | 
| braille.json | A starter dictionary for steno-based Braille input. |
|smalldict.json | Starter dictionary Mirabai gave Stan as a template (not actively updated or used). |
| stan-italiano.json | Dictionary started when doing an Italian class. Not very developed. |
| stanespanol.json | Main Spanish steno dictionary. |
| stanmain.json | His main English dictionary. |
| stanplover.json |Additional entries to correct formatting errors caused by RTF -> JSON conversion. |

## Diana MacDonald's repository 

[Diana MacDonald's dictionaries](https://github.com/dimonster/plover-dictionaries). These include symbols, currency, smart punctuation, design, and coding dictionaries.

## Other dictionaries

* [Emily's Symbol Dictionary](https://github.com/EPLHREU/emily-symbols) and [Emily's Modifier Dictionary](https://github.com/EPLHREU/emily-modifiers). The first allows you to type over 100 symbols with adjustable spacing and capitalization, the second allows you to input arbitrary keyboard shortcuts.
* [Jade's Phrasing Dictionary](https://github.com/Jade-GG/plover_phrasing/), a python dictionary phrasing system that lets you write entire phrases such as "we don't really want to" in one stroke.
* [JorWat's British Words](https://github.com/JorWat25/dictionaries/blob/main/british%20words.json), a dictionary of words and phrases found on the Wikipedia page, "Glossary of British terms not widely used in the United States".

## Dictionaries for non-English languages

| Language                           | Author             | 
| ---------------------------------- | ------------------ | 
| [Italian](https://github.com/stanographer/steno-dictionaries/blob/master/stan-italiano.json) | Stanley Sakai |
| [Spanish](https://github.com/stanographer/steno-dictionaries/blob/master/stanespanol.json) |Stanley Sakai|
| [French](https://github.com/azizyemloul/plover-france-dict) | Aziz Yemloul |

> Note: The above foreign language dictionaries are designed to be used with the English steno keyboard layout, but it is possible to customize the steno layout. For dedicated foreign language steno layouts, see the [steno layouts & supported languages page](https://github.com/openstenoproject/plover/wiki/Steno-Layouts-&-Supported-Languages).

## Commercial stenography dictionaries

Plover can also work with exported dictionaries from commercial stenography applications such as Eclipse, ProCAT and Case CATalyst. See [Dictionary format](https://github.com/openstenoproject/plover/wiki/Dictionary-Format) page for more information. 