# Manually Installing Plugins

Sometimes, it may be necessary to install plugins manually. The plugin manager may not be working and must be reinstalled using this method, or maybe the search isn't working.

## Compatible Versions

Ensure you are running Plover 4.x -- version 3 and below do not include plugin support.

## Instruction

* Run the following command (refer to [Invoke Plover from the command line](https://github.com/openstenoproject/plover/wiki/Invoke-Plover-from-the-command-line) for more details)

   ```
   plover -s plover_plugins install plover-stenograph-usb
   ```
   
   where "plover-stenograph-usb" is replaced with the name of the plugin package you'd like to install. You can verify this name on [PyPi](https://pypi.org/search/?q=plover).
   
   * If the plugin is only available in a git repository (for example GitHub), type
      ```
      plover -s plover_plugins install git+https://github.com/user/repo
      ```
      instead, where `https://github.com/user/repo` refers to the git URL.
      
      Note: `https://github.com/user/repo.git` is incorrect; make sure it is `https://github.com/user/repo`.
   
* Hopefully you'll see a message that says "Successfully installed" followed by a number of packages, ending with your plugin.

* Restart Plover for changes to take effect.
