The theory used in Plover's dictionary applies some best practices for stroking certain words. There are some misstroke entries in the Plover dictionary that are very nice (and short), but may cause issues later on. For example, with [word boundaries](https://github.com/openstenoproject/plover/wiki/Glossary#word-boundary). 

### And

The best practice for "and":

* Use `SKP` ✓ 

This was chosen arbitrarily, because it is comfortable and there is little chance of a word boundary issue. "and" is a common word ending, so stenographers find it easy to remember to stroke `SKP`.

`SKP` is also allows the use of phrases like `SKPU → and you` and `SKPEU → and I`.

There are some other strokes in the dictionary for "and". However, they are only to serve as a phonetic alternative when you are writing under pressure, and you can't remember `SKP`.  

### Con- words

In Plover's theory, the best practice for con- words is: 

* Use `KAUPB` to start words beginning with con. ✓
* Only use `KOPB` for the word "con". 

However, when you look up a con word in Plover, it will only return misstrokes that contain the `KOPB` stroke. The reason for this is because the con- prefix doesn't require a dictionary entry.

For example, for the word "conquer":

* Use `KAUPB/KER` ✓
* Do not use `KOPB/KER` ✘

Other words are not easy to write phonetically because they are to be briefed. For example: `T-PB for "continue"`.

### Hyphen (-)

The best practice for "-":

* `H-PB` ✓ 

Why `H-PB`? The reason is that `H-PB` is `H-N` in pseudo-steno, which short for hyphen.

There are a set of misstrokes that use `H-B` instead. These are OK to use.

### Was

The best practice for "was":

* `WAS` ✓ or 
* `WAZ`. ✓ 

The default dictionary has `WA → was`, which is most of the time all right. However it can conflict in some cases. For example: `WA/TKPWOPB → wagon (not "was gone")` and `WA/TPHA/SA → wanna sa (not "was NASA")`.

### Your

The best practice for "your":

* Use`KWROUR` ✓
* Do not use `KWRUR` ✘

This is because `KWRUR` is a word ending. For example: `KHROES/KWRUR → closure` versus `KHROES/KWROUR → close your`.


### Period (.)
The best practice for ".":

* `TP-PL` ✓ or
* `-FPLT` ✓

The other strokes `-P` and `-PL` can be used, but there will be conflicts. For example, `WEUPL/-P` is "wimp" rather than "women." Similarly, `HEL` is "hell" but `HEL/PL` is "helm".