The [Open Steno Project](https://www.opensteno.org) has a lot of different goals and projects, and sometimes it's hard to tell what happened when. This page aims to provide a summary of events with dates for anyone curious.

### September 2005 to March 2007 (18 months)

> Backstory

[Mirabai Knight](https://stenoknight.com/) attends the New York Career Institute to learn stenography at 225 words per minute.

### 2007

> Backstory

Mirabai creates a dictionary builder, named Bozzy, with help from her brother William. It's a program that reads from a word list and creates a dictionary using raw steno input. It requires the use of CAT software set to send keys to the computer instead of a transcript.

### 2008

> Backstory

Mirabai decides she wants to create an open source steno software, unsatisfied with the current proprietary, bloated, and expensive solutions.

Mirabai starts to learn python and breaks down technical challenges that will need to be addressed with a steno program that is actually a keyboard emulator. She notes that the timer feature from other steno software is awful and that Plover should process each stroke immediately. The idea of what Plover should be goes through much process. Does it have a document editor? A UI at all? Is it a program? Is it a keyboard?

### October 2009

> Plover

Mirabai meets [Joshua Lifton](https://www.crunchbase.com/person/joshua-lifton#/entity), via an ad Mirabai posted in her shared-workspace building elevator looking for a Python tutor. Joshua becomes the lead Plover developer, funded by Mirabai and donations to the project.

Plover is developed on Ubuntu and is Linux-only.

### June 2010

> Education

Mirabai begins writing her Steno 101 series.

### October 2010

> Plover

First public release of Plover (version 2.0) Plover is Linux-only and supports only the Gemini PR machine protocol, as well as regular NKRO keyboard input.

### December 2010

> Plover

Joshua moves to Oregon to work at Crowd Supply, and the Plover Project is put on hiatus with minimal development. Plover 2.2.0 is released.

### April 2011

> Education

Mirabai posts musings and thoughts about gamifying steno education. She calls it [Hover Plover](http://plover.stenoknight.com/2011/04/hover-plover.html) (later renamed to Steno Arcade).

### October 2011

> Plover

Hesky Fisher starts working on Plover.

### May 2012

> Plover

Hesky takes over development of Plover, beginning by porting to Windows and Mac, as well as adding many more steno machine protocols, including Stentura, Tréal, and TX Bolt.

### April 2013

> Third-party

[Brent Nesbitt](https://github.com/brentn) releases StenoTray, a Java app that runs alongside Plover to watch your strokes and give outlines for what you might be trying to write.

### July 2013

> Plover

Hesky releases Plover 2.3.0 for Linux, Windows, and Mac.

Plover grows, with support for suffix folding, multiple dictionaries, stroke display, adding translations, orthography rules, and more.

### August 2013

> Education

Mike Neale introduces steno-training website [QwertySteno](http://qwertysteno.com/).

> Hardware

Josh Lifton announces plans to build an open source steno keyboard, the [Stenosaurus](http://stenosaurus.blogspot.ca/).

### September 2013

> Education

Jay Liu introduces steno-training website [Plover Dojo](http://ploverdojo.appspot.com/).

> Education

Zach Brown, a technical writer, publishes the first half of [Learn Plover!](https://sites.google.com/site/learnplover/). Learn Plover! is a free online textbook that Mirabai commissioned Zach in exchange for steno lessons.

### January 2014

> Plover

Now at version 2.5.8, Hesky slows development to focus on other projects.

### April 2014

> Hardware

Emanuele Caruso announces the [Stenoboard](http://www.stenoboard.com/), an open source stenographic split 3D-printed keyboard.

### Summer 2015

> Plover

Mike Neale becomes an active contributor and adds many new features to Plover, including a dictionary editor and retro commands. No release is made.

### August 2015

> Plover

Hesky steps down from maintaining Plover. Mirabai starts looking for a new maintainer.

### September 2015

> Plover

Ted Morin begins work on Plover. Soon after beginning work, Benoit Pierre joins in and begins intense refactoring and improvement of the code base.

### December 2015

> Hardware

Scott Urueta announces and starts selling the [SOFT/HRUF](https://softhruf.love), an open source 3D-printed steno machine with light linear mechanical switches.

### March 2016

> Plover

"Weekly" releases (pre-releases) begin being published on GitHub for users wanting to try the new features. Given the two years passed since a release, there were bugs present in the code base that needed to be addressed.

> Education

[Steno Arcade](http://plover.stenoknight.com/2016/03/steno-arcade-campaign-is-live.html) crowd supply campaign goes live along with a demo. Project succeeds with 116% funding.

### April 2016

> Plover

Plover version 3.0.0 is released, featuring new training tools, a UI rearrangement, a dictionary editor, a new icon, output modes, and many under-the-hood improvements to improve cross-platform behavior.

### September 2016

> Hardware

Charley Shattuck starts to sell his customizable steno machine, the [Stenomod](https://stenomod.blogspot.ca/). The Stenomod comes on a deck of wood for desk and lap use, but can be detached and used in split configuration.

### October 2016

> Education

Josh Grams introduces JavaScript-based drilling website [Steno Jig](https://joshuagrams.github.io/steno-jig/).

### November 2016

> Plover

Plover version 3.1.0 is released.

Behind the scenes, Benoit Pierre performs major refactoring work to allow Plover to support other layouts and chording systems, user plugins, different GUIs (including a QT version), and Python 3. The project license is updated from GPLv2 to GPLv2+.

### The future - 2017 and onwards

Don't worry, Plover development continues. You can see the [issues and feature requests on GitHub](https://github.com/openstenoproject/plover/issues), join in the developer discussions by joining the [Plover #devtalk forum](https://discordapp.com/channels/136953735426473984/144999734254370816), and/or watch out for news published on the blog. 

Coming soon - Support for other layouts and chording systems, user plugins, and different GUIs.

### January 2019

> Hardware

Jane from [gBoards](https://www.gboards.ca/) begins to sell the Georgi, a split mechanical keyboard designed for use with Plover.

### February 2021

> Hardware

Peter from [StenoKeyboards](https://stenokeyboards.com/) starts to sell The Uni, a unibody split ortholinear mechanical keyboard for stenography.

### April 2021

> Hardware

Nathan and Lenno from [Nolltronics](https://nolltronics.com/) releases the EcoSteno and starts to sell them.

### July 2021

> Plover

Plover version 4.0.0 is released with major design and software upgrades from 3.0.0. Most Plover users were already using the weekly/continous pre-release versions of 4.0.0. But July 2021 marks the time when it was officially released as a stable version.