## Learning Steno
Sometimes the first steps of learning stenotype is an especially steep learning curve -- much like learning the alphabet and basic sounds of a new language. This page presents some mnemonic devices to help ease this initial learning process.
These mnemonics are for use along with a steno tutorial, such as Qwertysteno, LearnPlover, Steno101, etc. These and more are available here: http://stenoknight.com/wiki/Practice

## Single-stroke consonants and single-stroke vowels
![source: qwertysteno.org](https://www.dropbox.com/s/yhlwbrtwsozxbpd/steno-keyboard2.png?raw=1)
* Verbal mnemonic for consonants in steno order: <br>
"STicK PoWer HeRe FoR PuB LoGo: 'ToeS DoZe'" <br>
* Verbal mnemonic for single-key vowels <br>
"The bAt-bOt bEt her bUtt that she could put cat-boy behind bars..."

## Compound-stroke Mnemonic Images
![](https://www.dropbox.com/s/cvzb7c0sv5893jd/024_PloverMnemonicConsonants.png?raw=1)
Download [hi-res version](https://www.dropbox.com/s/cvzb7c0sv5893jd/024_PloverMnemonicConsonants.png?dl=0)

![](https://www.dropbox.com/s/n5c6j3hozbittvr/005_PloverMnemonicVowels.png?raw=1)
Download [hi-res version](https://www.dropbox.com/s/n5c6j3hozbittvr/005_PloverMnemonicVowels.png?dl=0)

## Mnemonic Image Keys: <br>
* Consonants:
**sh**oe
**z**ebra
**v**ote
**j**avelin
**n**ose
**th**ought
**f**eather
**d**ucky
**g**ift
**y**ellowbrickroad
**ch**op
**m**achinegun
**b**ubble
**l**ion
**p**ump
too**th**
yo**lk**
li**nk**
pat**ch**
cur**v**e
cru**nch** / **-lch**
ca**sh**
paw**n**
ko**ng**
pu**mp**
ha**m**
ba**dge** (**j**)
soc**k**
reda**ction** (**kshun**)
bu**lge** (**lj**)
lo**tion** (**shun**)

* Vowels: <br>
moon - AO - identifies homophones spelled "oo" or "oa" <br>
mitt - EU<br>
ape-baby - AEU <br>
rowing-boat - OE <br>
pea - AE - identifies homophones spelled "ea" or "ae" <br>
wheel - AOE <br>
oil - OEU - often "wildcard" for making funky briefs <br>
saw - AU <br>
soup - AOU <br>
pow - OU <br>
eye - AOEU <br>

## Notes:
* Please feel welcome to update this wiki page's structure to include additional mnemonic models if desired
* Layered "xcf" image files editable in [GIMP](https://www.gimp.org/) are available [here](https://www.dropbox.com/sh/h1ytoo3kydwi8hn/AABXtMzt2gH3TZlhCrTbjeB_a?dl=0) if you want to put in some of your own mnemonics.
* The best mnemonics are always the ones you make up yourself. So feel encouraged to make your own mnemonic sketches, or modify the xcf file with your favorite sound/image associations.
* Info about mnemonic methods: [ArtOfMemory](http://artofmemory.com/) , [JoshFoerTEDTalk](https://www.ted.com/talks/joshua_foer_feats_of_memory_anyone_can_do?language=en), [WorldMemoryChampionships](https://en.wikipedia.org/wiki/World_Memory_Championships) , 
* For I guess some of the source images included in the mnemonic montages are under education etc, "[fair use](https://en.wikipedia.org/wiki/Fair_use)". But other than that, feel free to use and abuse. Public domain for any of my contributions!  :)