This page lists the machine known to work with Plover.

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->
**Table of Contents**  *generated with [DocToc](https://github.com/thlorenz/doctoc)*

- [Dedicated machines designed for use with Plover](#dedicated-machines-designed-for-use-with-plover)
  - [Commercially Available Hobbyist Machines](#commercially-available-hobbyist-machines)
  - [DIY Machines](#diy-machines)
  - [Out-of-production Machines](#out-of-production-machines)
- [Stenotype Machines](#stenotype-machines)
  - [Supported protocols](#supported-protocols)
  - [Known supported stenotypes](#known-supported-stenotypes)
- [Keyboards](#keyboards)
  - [What's NKRO?](#whats-nkro)
  - [How do I know if my keyboard has NKRO](#how-do-i-know-if-my-keyboard-has-nkro)
    - [Test #1: Double Shift](#test-1-double-shift)
    - [Test #2: Keyboard Ghosting Test](#test-2-keyboard-ghosting-test)
  - [What if my keyboard is not capable of NKRO?](#what-if-my-keyboard-is-not-capable-of-nkro)
  - [Known supported keyboards](#known-supported-keyboards)
    - [Which type of key switch should I choose?](#which-type-of-key-switch-should-i-choose)
  - [Adapt a keyboard for steno use](#adapt-a-keyboard-for-steno-use)
    - [Keytoppers](#keytoppers)
    - [Keycaps](#keycaps)
  - [NKRO keyboards with an ortholinear layout](#nkro-keyboards-with-an-ortholinear-layout)
- [Laptops with NKRO](#laptops-with-nkro)
  - [Laptops that don't actually work with Plover](#laptops-that-dont-actually-work-with-plover)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

# Dedicated machines designed for use with Plover

Various steno enthusiasts are making and selling machines designed for use with Plover.

## Commercially Available Hobbyist Machines

Machines that are or will be available for purchase. As of right now, there are no hobbyist lever machines. Instead, most options opt for keyboard switches, such as Cherry-style (Gateron Clear@35g), Kailh Choc (gChock at 20g), or Matias (Red at 40g).

<!-- The following table is listed alphabetically by product name -->

| Product Name                       | Manufacturer       | About                   | Price |
| ---------------------------------- | ------------------ | ----------------------- | ----- |
| [EcoSteno](https://nolltronics.com/product/ecosteno/) | [Nolltronics](https://nolltronics.com/) | <img alt="EcoSteno" src="https://nolltronics.com/wp-content/uploads/2021/03/Noll-Electronics-Steno-Keyboard-Production-Prototype.png" width="300px" align="right" /> A machine whose mission is to be the best value option on the market. It has low-profile Kailh gChoc switches with 20g actuation force. It features USB-C connectivity and an aluminum backplate.<br><br>**Stock status** (as of May 2022): Currently sold out.  Next restock due "months away" since they're working on a new version of the EcoSteno [(source)](https://discord.com/channels/136953735426473984/322442139906736128/970311025452797993) and a new board, which may be available "in a month or two". [(source)](https://discord.com/channels/136953735426473984/136953735426473984/969957463161995284) | $95 |
| [Georgi](https://www.gboards.ca/product/georgi) | [g Heavy Industries](https://www.gboards.ca) | <img alt="Georgi" src="https://assets.bigcartel.com/product_images/235027235/imadd+ge0.jpg?auto=format&fit=max&w=600" width="300px" align="right" /> Portable, affordable, and light-touch option. Low-profile Kailh Choc switches with 12g-actuation springs swapped in makes this the lightest-touch and lowest-height machine made for Plover so far. The removal of a number bar reduces costs and weight for portability. A third thumb key is to be used as a number bar replacement like the TinyMod. See [Martin's Georgi Stand with Trackball review](https://stenoblog.com/georgi-stand-with-trackball/), [Mirabai's review](http://plover.stenoknight.com/2019/12/georgi-review.html), [Aerick's Georgi Mount](https://aerick.ca/steno/georgi-stand/), and [Josh's photos](https://gist.github.com/JoshuaGrams/f688ae7a14a995c78ed06d49402dea04).<br><br>**Stock status** (as of May 2022): Large backlog, orders from months ago still being processed. [(source)](https://blog.gboards.ca/) | $110 |
| [SOFT/HRUF Splitography](https://softhruf.love) | Scott Urueta | <img alt="SOFT/HRUF Splitography" src="https://i.imgur.com/pvmzoQy.png" width="300px" align="right" /> Open source hardware. Its keycaps are injection molded and fit on Matias keyboard switches. The name is the steno representation for, and is pronounced as, "soft love". The SOFT/HRUF uses Matias Red switches (~40g actuation). With third-party springs and removing the switch's internal leaflet, it is possible to reduce the force required to actuate.<br><br>**Stock status** (as of May 2022): In stock | $138 |
| [TinyMod](https://stenomod.blogspot.com) | Charley Shattuck | <img alt="TinyMod" src="https://2.bp.blogspot.com/-EtmothiLtUo/XL4RrK7jw5I/AAAAAAAACTU/8TibacoLPuYBu6-nmPhaEQnVZsweVEp5gCLcBGAs/s400/20190422_120223.png" width="300px" align="right" /> Open source hardware. A smaller, nonsplit version of the Stenomod that omits the number bar in order to reduce costs and size. The center vowel key is used as a number bar replacement. See [Mirabai's review](http://plover.stenoknight.com/2019/12/tinymod-review.html).<br><br>**Stock status** (as of May 2022): In stock | $160 |
| [The Uni](https://www.stenokeyboards.com/product/the-uni-v3) | [StenoKeyboards](https://www.stenokeyboards.com) | <img alt="The Uni" src="https://docs.stenokeyboards.com/images/pics/uniAngle.jpg" width="300px" align="right" /> A split, unibody steno keyboard that comes pre-assembled with Gateron Clears (35g). USB C compatible.<br><br>**Stock status** (as of May 2022): Available for preorder, with a lead time of 1-2 months. [(source)](https://stenokeyboards.com/products/the-uni) | $100 |

## DIY Machines

Projects to build your own machine.

| Product Name                       | About                   |
| ---------------------------------- | ----------------------- |
| [Stenokey](https://github.com/mike-ady/Stenokey) | <img alt="Stenokey" src="https://raw.githubusercontent.com/mike-ady/Stenokey/master/Documentation/Stenokey.png" width="300px" align="right" /> Stenokey is an open-source do-it-yourself stenographic keyboard project. It is aimed at makers with some electronics experience (soldering) and who own a 3D printer or who have a friend with a 3D printer. |

## Out-of-production Machines

Models that are no longer made or available for sale.

| Product Name                       | Manufacturer       | About                   | Years |
| ---------------------------------- | ------------------ | ----------------------- | ----- |
| Stenoboard | Utopen (Emanuele Caruso) | <img alt="Stenoboard" src="https://cdn.thingiverse.com/renders/a9/15/3f/8c/6a/stenoboard_1.1_preview_preview_featured.jpg" width="300px" align="right" /> The Stenoboard was the first open source steno machine on the market, released in 2014 for around $180USD. The Stenoboard's keys actuate like mouse-clicks instead of a keyboard or lever-machine, which made it very uncomfortable to use. | 2014-2017 |
| [SOFT/HRUF](https://softhruf.love) | Scott Urueta | <img alt="Original SOFT/HRUF" src="https://groups.google.com/group/ploversteno/attach/1d0225cb7826d/Screen%20Shot%202016-10-14%20at%203.46.28%20PM.png?part=0.1&view=1" width="300px" align="right" /> The nonsplit version of SOFT/HRUF. | 2017-2018, superseded by the Splitography |
| [Stenomod](https://stenomod.blogspot.com) | Charley Shattuck | <img alt="Stenomod" src="https://2.bp.blogspot.com/-n7j50BDdjAg/WJECk94jwCI/AAAAAAAAAI4/2E-G1dgflccCltPFN9FEPI4QtMW62ttCQCK4B/s400/20170131_131923.jpgre" width="300px" align="right" /> Open source hardware. This has light (35g actuation) keys and a split design. See [Ted Morin's review of the Stenomod](https://www.tedmor.in/blog/posts/stenomod-affordable-steno-machine) as well as [Martin Körner's review](https://stenoblog.com/the-stenomod/). The name is supposed to hint at how the machine is "modular" and adaptable. | 2017-2018, superseded by the TinyMod |


# Stenotype Machines

<img src="https://www.stenograph.com/product/image/large/45009_wave.jpg" width="300"/>

## Supported protocols

Plover supports several protocols that are in use by various machines:

* **Stentura serial**: most machines by Stenograph and many others.
* **Gemini PR serial**: typically any recent machine made by the Neutrino Group, such as the Piper, Revolution, or Infinity series.
* **ProCAT**: protocol used by all ProCAT machines.
* **TX Bolt**: an older protocol supported by some machines as a primary or secondary protocol.
* **Treal**: used only by the Treal from Word Technologies.
* **Passport**: used only by the Passport Writer from Advantage Software.

This means that, in theory, many machines work with Plover.

## Known supported stenotypes

The following machines have been confirmed by users to work with Plover
after actually trying it:

| Product Name                       | Manufacturer       | Protocol/Connection | Comments                |
| ---------------------------------- | ------------------ | ------------------- | ----------------------- |
| Elan Cybra Student                 | Stenograph         | TX Bolt (serial)    |                         |
| Flash, Blaze, Impression, and Xpression | ProCAT        | ProCAT (serial, *maybe*)             | (For Blaze and other Windows CE-based writers) USB cannot be used with Plover, it is only to transfer files created on the Blaze to your PC or CAT software. USB does not work on Windows 10, only Windows XP (with ActiveSync), and Windows Vista/7/8 with WMDC.exe (Windows Mobile Device Center). Both are abandonware. You need an RJ11 (male) to DB9 (female) to use this writer. |
| Flash Writer                       | ProCAT             | TX Bolt             | Press `Mode` (far right button), click `Setup`, then press the `Emul` button. Display should read `Emulate: Baron` |
| Gemini2                            | Neutrino Group     | Gemini PR (serial)  |                         |
| Gemini RT                          | Neutrino Group     | TX Bolt             | Must start a job on screen or in [Infinity2](https://www.infinitytraditional.com/infinity-2/) |
| Lightspeed                         | Stenovations       | TX Bolt (serial over USB/Bluetooth) | Baud rate 9600 |
| Lightspeed Touch                   | Stenovations       | Gemini PR, TX Bolt (USB only)  | Must use provided "Lightspeed Zenith" software, not the "Lightspeed" software from the Stenovations website. Protocol can be changed depending on the "Writer Mode" setting in options. Choose "Model II and Model III" at startup. |
| Infinity Ergonomic                 | Neutrino Group     | Gemini PR (serial over USB/Bluetooth)  | Baud rate 115200 |
| Infinity Genesis                   | Neutrino Group     | Gemini PR (serial)  |                         |
| Passport                           | Advantage Software | Passport (USB)      |                         |
| Passport Touch                     | Advantage Software | USB, Bluetooth | While in "Emulation Mode": Stentura over Bluetooth or TX Bolt over USB ﻿ |
| Revolution Grand                   | Neutrino Group     | Gemini PR (serial)  |                         |
| Stentura 400 SRT                   | Stenograph         | Stentura (serial)   | [Setup Instructions](https://github.com/openstenoproject/plover/wiki/How-to-setup-and-use-Plover-with-a-Stentura-400SRT)  |
| Stentura 200 SRT                   | Stenograph         | Stentura (serial)   | (same instructions as the 400 SRT)  |
| Stentura 500                       | Stenograph         | Stentura (serial)   | (same instructions as the 400 SRT)  |
| Stentura 8000 and 8000LX           | Stenograph         | Stentura (serial)   | (same instructions as the 400 SRT)  |
| Stentura Protégé                   | Stenograph         | Stentura (serial) OR Stenograph USB   | Works with the [plover-stenograph-usb](https://pypi.org/project/plover-stenograph-usb/0.0.3/) plugin for USB. For Stentura serial: connect Serial-to-USB cable to serial port of Protégé. [Setup Instructions for Serial](https://github.com/openstenoproject/plover/wiki/Stentura-Protege-Setup-and-Usage-Instructions)|
| Tréal                              | Word technologies  | Treal (USB)         |                         |
| Wave                               | Stenograph         | Stentura (serial) OR Stenograph USB | Requires Stenograph drivers to do serial on Windows. All platforms can use the [plover-stenograph-usb](https://pypi.org/project/plover-stenograph-usb/0.0.3/) plugin. Make sure "serial protocol" on the Wave is set to "Stentura". |
| Luminex II                         | Stenograph         | Stenograph USB OR Stenograph Wi-Fi | All platforms can use the [plover-stenograph-usb](https://pypi.org/project/plover-stenograph-usb/0.0.3/) plugin for USB, or the [plover-stenograph](https://pypi.org/project/plover-stenograph/2.0.3/) plugin for Wi-Fi. Make sure the machine is connected to the same local network to use Wi-Fi. |

# Keyboards

If you don't have a steno machine, you can use a keyboard that supports N-Key Rollover (NKRO).

## What's NKRO?

This is a feature of some keyboards that means that you can press as many keys as you want simultaniously, and they will all register. Typical keyboards stop working correctly when you press somewhere between 4 and 7 keys at once.
For more information, see the [Wikipedia entry about NKRO](https://en.wikipedia.org/wiki/Rollover_(key)#n-key_rollover).

## How do I know if my keyboard has NKRO

In general, most keyboards will not be NKRO. "Gamer" and mechanical keyboards are most likely to have NKRO, while budget as well as laptop keyboards are unlikely to have NKRO.

### Test #1: Double Shift

**Note: this test results in a false positive on some Macbooks**

To test your keyboard for NKRO capability:

1. Open up a text editor.
2. Hold down both shift keys.
3. Type each letter on your keyboard (from A-Z).

> **Note**: You must hold down both shift keys while you type each letter on your keyboard.

If all keys are typed into the text editor, your keyboard probably has NKRO.

### Test #2: Keyboard Ghosting Test

The [in-browser steno demo](https://www.openstenoproject.org/demo/) provides a browser-based application that lets you test your keyboard's capabilities for registering multiple key presses with simulated steno output.

To test your keyboard:

1. Open your web browser and go to the [in-browser steno demo](https://www.openstenoproject.org/demo/).
1. Click in the **Output box** to start
    * Each key you press will light up in the picture of a keyboard. 
1. Press the middle row keys `asdfjkl;` **all at once**.
    * With a normal keyboard only 6 of the 8 keys will light up (likely fewer).
    * If your keyboard has N-key rollover, all 8 keys will light up. 
1. Press other multiple-key combinations, such as `yuhj`, and see if they all light up. Ideally, your keyboard should register the entire first two rows of your keyboard at once, plus `c`, `v`, `b`, and ` n`.

## What if my keyboard is not capable of NKRO?

If you don't have a keyboard that's capable of NKRO, but still want to give Plover a try, you can arpeggiate/roll the keyboard chords. More info can be found at the bottom of [this post](http://plover.stenoknight.com/2011/02/plover-211-released.html).

## Known supported keyboards

> **Warning**: Be wary of false advertising; some keyboards are advertised as NKRO or anti-ghosting, but are limited to certain combinations. Check reviews to get confirmation before making a purchase. Some keyboards might only support full-NKRO over a PS/2 connector (the [old-style plug](https://en.wikipedia.org/wiki/PS/2_port#/media/File:Ps-2-ports.jpg).) Full NKRO over USB is possible. Many keyboards do it well, and will work with Plover.

The following machines have been confirmed by users to work with Plover after actually trying it:

| Product Name                | Manufacturer           | Comments        | Price
| --------------------------- | ---------------------- | --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------
| Anne Pro II | Obinslabs | NKRO over USB; 6KRO over bluetooth; Works on Mac | $20-100
| Aukey KM-G9 | Aukey | NKRO over USB; May not work on Mac | $35-50
| I-500 Victop (compact: 87 keys)     | Eastern times tech | NKRO over USB   | [27 GBP](https://www.amazon.co.uk/Water-Resistant-VicTop-Mechanical-Waterproof-Anti-ghosting/dp/B01DBYNVSY/)
| DareU DK87 (red switch) | DareU | NKRO over USB (Tested on Linux), however some keys may be stuck after released. Discontinued model. There is a [similar model](http://www.dareu.com/?m=home&c=View&a=index&aid=169), they may have the glitch mentioned above or not. | < $30
| TOMOKO (87 key Mechanical Keyboard) | TOMOKO               | NKRO over USB (Works on Mac)   | [$30](https://www.amazon.com/TOMOKO-Water-Resistant-Mechanical-Keyboard-Non-Conflicting/dp/B01DBJTZU2/)
| K552 | Redragon | NKRO over USB | [$35](https://www.amazon.com/Redragon-KUMARA-Backlit-Mechanical-Keyboard/dp/B016MAK38U)
| X51 (Gaming Mechanical Keyboard 87/104) | Metoo                | NKRO over USB   | [$40](https://www.aliexpress.com/item/Metoo-Gaming-Mechanical-Keyboard-87-104-Anti-ghosting-Luminous-Blue-Red-Black-Switch-Backlit-LED-wired/32782819448.html) 
| ZM-K600S                    | Zalman                 | NKRO over USB   | [$40](https://www.amazon.com/Zalman-Unlimited-Multi-Key-keyboard-ZM-K600S/dp/B0196J3IPE)
| K582                         | Redragon               | NKRO over USB  (Works on Mac. NB: Hitting Fn+WIN removes NKRO) | [$50](https://www.amazon.com/Redragon-Mechanical-Keyboard-Keys-Linear-Quiet-Red/dp/B07KCRTN9Q/)
| K66                         | Corsair                | NKRO over USB   | [$55](https://www.amazon.com/CORSAIR-K66-Mechanical-Gaming-Keyboard/dp/B072LTTNVS/)
| K63                         | Corsair                | NKRO over USB (Works on Mac!) | [$80](https://www.amazon.com/Corsair-CH-9115020-NACORSAIR-Compact-Mechanical-Keyboard/dp/B06XC1WNPT)
| K68                         | Corsair                | NKRO over USB   | $160-200
| K95                         | Corsair                | NKRO over USB   | [~$200](https://www.amazon.com/CORSAIR-PLATINUM-Mechanical-Gaming-Keyboard/dp/B01MU3R9VM)
| KG901                       | Marvo                  | NKRO over USB   | $30-70 AUD
| STRAFE                      | Corsair                | NKRO over USB   | [$80](https://www.amazon.com/CORSAIR-STRAFE-Mechanical-Gaming-Keyboard/dp/B012B6X7MI/)
| CM Storm Quickfire TK       | Cooler Master          | NKRO over USB (Doesn't work on Mac)   | [$85](https://www.amazon.com/CM-Storm-QuickFire-TK-Mechanical/dp/B00A378L4C/)
| Vengeance K65               | Corsair                | NKRO over USB   | [$90](http://www.corsair.com/en/gaming-peripherals/gaming-keyboards/vengeance-k65-compact-mechanical-gaming-keyboard.html)
| C413 Carbon                  | Logitech             | 26KRO            | [$90](https://www.logitechg.com/en-us/products/gaming-keyboards/g413-mechanical-gaming-keyboard.920-008300.html)
| Francium Pro                  | Deck            | NKRO over USB when in "lightning" mode (Fn + F10). Full NKRO works on Windows and Linux, but is rumored NOT to work on Macs (you'd be stuck with 6KRO).  | [$94](https://mechanicalkeyboards.com/shop/index.php?l=product_detail&p=690)
| Noppoo Choc                 | Noppoo                 | NKRO over USB (works on Mac without adapters)   | [$95](https://www.amazon.com/Noppoo-84-Technology-Mechanical-Keyboard/dp/B0091Q34EI/ref=sr_1_1?s=pc&ie=UTF8&qid=1458020924&sr=1-1-spons&keywords=noppoo+choc+mini&psc=1)
| Razer BlackWidow V3 Tenkeyless | Razer                  | 14KRO over USB when in "gaming" mode (Fn + F10). Older BlackWidow Tournament Edition 2014 tested.  | [$100](https://www.razer.com/gaming-keyboards/Razer-BlackWidow-V3-Tenkeyless/RZ03-03490200-R3U1)
| Apex M750 TKL               | SteelSeries            | NKRO over USB (Works on Mac, but for some reason if you install the SteelSeries Engine it stops working) | [$120](https://www.amazon.com/dp/B076XDTLBB)
| G710+                       | Logitech               | NKRO over USB   | [$130](https://gaming.logitech.com/en-us/product/g710plus-mechanical-gaming-keyboard)
| Majestouch-2                | Filco                  | NKRO over USB   | [$167](https://amzn.to/oLy2xQ)
| Das Keyboard 4 Ultimate     | Das Keyboard           | NKRO over USB requires key sequence to enable. See fine print on underside of keyboard   | [$169](https://shop.daskeyboard.com/products/das-keyboard-4-ultimate/)
| Apex M800                   | SteelSeries            | NKRO over USB   | [$199](https://steelseries.com/gaming-keyboards/apex-m800)
| Ergo Pro                    | Matias                 | NKRO over USB   | [$200](https://matias.ca/ergopro/pc/)
| Ultimate Hacking Keyboard   | Ultimate Gadget Labs   | NKRO over USB   | [$250](https://www.crowdsupply.com/ugl/ultimate-hacking-keyboard)
| Ergodox                     | Ergodox                | NKRO over USB   | [Parts €160.00 - Assembled €247.00](https://falba.tech/customize-your-keyboard/customize-your-ergodox/)
| Ergodox EZ (swappable switches) | ZSA Technology Labs, Inc.| NKRO over USB  | [EZ Only $270 - All Upgrades $354+](https://ergodox-ez.com)
| Planck EZ (swappable switches) | ZSA Technology Labs, Inc. | NKRO over USB  | [ Planck only $180 - W/LED Backlighting $195 ](https://ergodox-ez.com/pages/planck)
| Model01                     | Keyboard.io            | NKRO over USB   | [$329](https://shop.keyboard.io)
| Vortex Race 3 | Vortex Keyboard           | NKRO over USB (Only 6KRO on Mac. Untested on Linux)  | [$139](https://mechanicalkeyboards.com/shop/index.php?l=product_detail&p=3917)

### Which type of key switch should I choose?

Because you hit many keys with steno at once, there are two properties that are useful to have in a mechanical keyboard switch for steno: a **light actuation force** on a **linear** switch.

The light actuation makes it easier on your hands. For a chord like `TKPWHRAOEUGD` (gliding), you are hitting 8 keys with your left hand. That means that whatever switch force you need to depress one key, you have to push 8-times as much. For a 80cN (~80 grams, ~2.9 oz) switch, that's 640cN (~640g, ~22.6 oz). **For this reason, your wrists will have a much easier time working with your machine if its actuation force is as light as possible.**

| How many keys are in the average chord? |  |
| --- | --- |
| 1:&nbsp;23<br />2:&nbsp;221<br />3:&nbsp;1115<br />4:&nbsp;3247<br />5:&nbsp;6168<br />6:&nbsp;7820<br />7:&nbsp;7293<br />8:&nbsp;5069<br />9:&nbsp;2707<br />10:&nbsp;1126<br />11:&nbsp;331<br />12:&nbsp;90<br />13:&nbsp;21<br />14:&nbsp;3<br />15:&nbsp;1 | <img src="https://i.imgur.com/77sH9t0.png" width="500px" /> |

The linearity is recommended because it's been found that the tactile feedback that one gets from an individual switch is not as useful when you are receiving 4-10 of those feedbacks at once. The brain just doesn't process all the fingers' feedback in a useful manner. And since the bump usually requires a small addition to the actuation force, we recommend keeping it linear and simple.

Professional steno machines, historically, always bottomed out (meaning the keys are pressed until they can no longer travel; the bottom.) Newer machines use more complicated mechanisms for detecting key travel, often using magnets and the hall effect to determine where the key is, allowing for customizable actuation points. The typical force required for a modern steno machine is between **10cN and 20cN**, with some extremes on either end for personal preference. The travel of a typical lever steno machine is usually between **2mm and 30mm**. The lower end is found in machines like the LightSpeed (nonlever), where the higher end is around the maximum that you can configure a lever machine to stroke.

Most of the mechanical switches have a 2mm actuation point and 4mm travel/bottoming out, but some community members have found that "speed switches" with an earlier actuation point (usually 1.1-1.4mm) are better for steno due to their increased sensitivity.

| Switch | Stat | Note | Machines |
| ------ | ---- | ---- | ------- |
| Gateron Clear / White | 35 cN linear | Best stock option available on the market | Stenomod uses this switch |
| Matias Red | 35 cN linear | Feels heavier than 35 cN switches due to having a "flat" force curve. Matias also has a different stem from Cherry | SOFT/HRUF uses this switch |
| Cherry MX Red | 45 cN linear | | |
| Kailh Silver | 50 cN spring* linear | Has an early actuation (1.1mm vs 2mm) | |
| Cherry MX Brown | 45 cN bumpy | While not ideal compared to other options, this switch is still a better choice than blues, blacks, and other Cherry switches | |
|Kailh Choc Red | 50 cN spring* linear | | The Georgi uses this switch |

\* The Kailh silvers and Choc reds use a spring that would cause a 50 cN actuation point at 2mm, but since they actuate earlier (1.1mm), the force required is nearer to 35 cN.

There are other methods to decrease actuation force for even these switches. This includes:

- Putting the Gateron Clear's 35 cN spring into the Kailh Silver for its earlier actuation point.
- Trimming the springs of a linear switch by several mm to reduce force.
- Using an aftermarket spring with lower forces, such as a prototype 20 cN spring that isn't yet released to the wider market.
- Removing the leaf-spring (not the primary spring) in the Matias Red switch to make the force curve less flat.

## Adapt a keyboard for steno use

![](https://c1.staticflickr.com/5/4202/34180678224_98d3e26f1f_n.jpg)

Most keyboards have the keys in staggered rows, which can make it difficult to press two keys in a column with a single finger. To adapt a keyboard for steno use, you can use:

* Keytoppers
* Keycaps

You can also use a keyboard with an ortholinear layout.

### Keytoppers

Laser-cut keytoppers are in the shape of the keys on a steno machine. You stick them on top of the relevant keys on the keyboard. You can buy laser-cut keytoppers from the [Plover Store](http://plover.deco-craft.com/). You can also make your own keytoppers out of plastic or even coins.

![Laser-cut keytoppers sitting in a pile](https://i.imgur.com/cjWDy2J.jpg)
 
### Keycaps

If you have a mechanical keyboard, it is likely your keys have a [Cherry MX stem](https://deskthority.net/wiki/Cherry_MX) and will work with custom keycaps. You can replace the existing keycaps on your keyboard with different keycaps, to improve the layout for stenoing.

- [StenoToppers](https://cemrajc.github.io/stenotoppers/) is a 3D printed keycap set designed by Jason Cemra. It aligns the rows, raises the keys, and reduces the keycap tapering, slant and gap. The 3d model (.stl) files are available on Github. If you have access to a 3D printer, you can download .stl files and print them for a negligible cost. Otherwise, you would need to use a 3D printing service.

  <img src="https://imgur.com/FRwXu8x.jpg" width="400">

- The [G20 keycap set](https://pimpmykeyboard.com/g20-blank-keycap-sets/) from Signature Plastics is a great set for steno, and will fit on an ErgoDox or other mechanical keyboard. The keys have a direction, so for optimal comfort, you should angle the top row of steno (`STPH...`) down, so that they are close to the bottom row (`SKWR...`)
- You can 3D-print a [steno-friendly keycap](https://github.com/morinted/stenomod_case).

Keys that have little space between them are good for steno, because then you can hit two neighboring keys with one finger (which is frequently necessary).

## NKRO keyboards with an ortholinear layout

Keyboards with an "ortholinear" layout have the keys in straight columns. This is handy for steno, as it makes it easier to press two keys in a column with a single finger. 

The following machines have been confirmed by users to work with Plover after actually trying it:

| Product Name                       | Manufacturer       | Protocol/Connection | Comments                |
| ---------------------------------- | ------------------ | ------------------- | ----------------------- |
| [ErgoDox](https://deskthority.net/wiki/ErgoDox)           |   ErgodoxEZ, Massdrop, FalbaTech, others |  USB  |     The ErgoDox is a fairly high-end NKRO keyboard at $200, with an ortholinear layout. It has two separate halves, so you can angle them to suit you. You can order it with the Gateron White keys, which have an extremely light, 35 gram activation force. Read a [guide to Starting Stenography with an Ergodox by Paul Fioravanti](https://www.paulfioravanti.com/blog/starting-stenography-ergodox/).                    |
| [Planck](https://olkb.com/planck/) | OLKB | USB | The Planck is a fully programmable NKRO keyboard with an ortholinear layout. It is 40% the size of a standard keyboard. Read a [guide to starting stenography with a Planck by DiDoesDigital](https://didoesdigital.com/blog/build-your-own-steno-keyboard-its-easier-than-you-think/).  <br /> ![Planck steno keyboard](https://i.imgur.com/e9B2qpO.jpg)|
|[Preonic](https://olkb.com/preonic/)| OLKB | USB | The Preonic is a fully programmable NKRO keyboard with an ortholinear layout. It is 50% the size of a standard keyboard. |
| [Gherkin](http://plover.stenoknight.com/2018/05/limited-time-offer-stenogherkins-at-cost.html) | | USB | The Gherkin is a fully programmable NKRO keyboard with an ortholinear layout. It is 30% the size of a standard keyboard.
| [Iris](https://keeb.io/products/iris-keyboard-split-ergonomic-keyboard) | Keebio | USB | The Iris is a cheaper and slightly smaller alternative to the ErgoDox. It is a fully programmable split NKRO keyboard with 56 keys. The firmware needs to be edited to enable either NKRO or Gemini PR. Available in PCB and pre-built.

<a id="notebooks-with-nkro"></a>
# Laptops with NKRO

If you want to always have steno on the go, you might consider finding a notebook with NKRO. Note that not all these machines are equivalent in terms of actuation force or key shape. You might find, for example, that chiclet keys don't feel as good as the Alienware's classic keyboard style. It's always best to try laptop keyboards at a local store, if possible.

| Model    | Screen Size | Manufacturer    | Rollover | Price (USD) | Weight |
| -------- | ----------- | --------------- | ------- | ----- | ------ |
| [Alienware R3/R4](https://www.dell.com/en-us/shop/dell-laptops/sc/laptops/alienware-laptops) | 13", 15", 17" | Dell        | n-key | **$1000** to $3000 | 5.8 to 9.8 lbs |
| [GL553](https://www.asus.com/ca-en/Laptops/ROG-GL553VD/)    | 15"         | Asus        | 30-key  | $1200     | 5.5 lbs |
| [Razer Blade Stealth 8th Gen](https://www.razer.com/ca-en/gaming-laptops/razer-blade-stealth) | 13" | Razer | 14-key | $1200+ | **2.98 lbs** |
| [Zephyrus GM501](https://www.asus.com/ca-en/Laptops/ROG-ZEPHYRUS-GM501/) | 15"   | Asus        | 30-key   | $1500 to $2200     | 5.5lbs |
| [Omen X](https://www8.hp.com/us/en/campaigns/omenxlaptop/overview.html) | 17" | HP | n-key* | $1800 | 10.7 lbs |
| [P57X](https://www.gigabyte.com/Laptop/P57X-v7)     | 17"         | Gigabyte    | 30-key   | $1800     | 6.6 + 2.2 (power adaptor) lbs |
| [GL502](https://www.asus.com/ca-en/ROG-Republic-Of-Gamers/ROG-GL502VT/)    | 15"         | Asus        | 30-key   | $1900 | 4.9 lbs |
| [Aero 15/15x](https://www.gigabyte.com/us/Laptop/AERO-15--i7-8750H) | 15"      | Gigabyte    | 80-key*   | $2000 to $2900 | 4.6 lbs |
| [Legion Y920](https://www3.lenovo.com/us/en/laptops/ideapad/lenovo-legion-y-series-laptops/Legion-Y920/p/88GMY900877) | 17" | Lenovo | 100-key* | $2200 | 10.1 lbs |
| [Zephyrus GX501](https://www.asus.com/ca-en/Laptops/ROG-ZEPHYRUS-GX501/) | 15"   | Asus        | 30-key   | $2500     | 4.85lbs |
| Aorus [X5 v8](https://www.aorus.com/product-detail.php?p=744) and [X7 v8](https://www.aorus.com/product-detail.php?p=745) | 15", 17" | Aorus | 80-key* | $2600, $3000 | 5.51 lbs, 7.05 lbs |
| [Predator Triton 700](https://us-store.acer.com/predator-triton-700-gaming-laptop-pt715-51-732q) | 15" | Acer | n-key (clicky keys) | $3000 | 5.3 lbs |
\* Untested for use with Plover

## Laptops that don't actually work with Plover

After testing some of the laptops on the list above, they were found to not live up to their claims.

| Model    | Manufacturer    | Claimed Rollover | Findings |
| -------- | --------------- | ------- | ----- |
| HP Omen [15](https://store.hp.com/us/en/pdp/omen-by-hp---15-ce051nr) and [17](https://store.hp.com/us/en/pdp/omen-by-hp---17-an053nr) | HP | "26-key rollover anti-ghosting" | Combination "YUHJ" on Qwerty only produces 3 letters |
| [GF62](https://us.msi.com/Laptop/GF62-7th-Gen-GEFORCE-GTX-1050TI.html) and [GP72](https://us.msi.com/Laptop/GP72-Leopard-Pro-6th-Gen-GTX-960M) | MSI | "anti-ghosting for up to 45 keys" | 99% of chords were OK, certain combinations wouldn't work -- e.g. QWEAS blocked R. Keyboard also responded abnormally slow when writing chords. |
