# Upgrading V3 Dictionaries
If you've installed Plover version 3 but have later switched to version 4, it is recommended you update the dictionaries to stay up to date with the current learning resources. Since Plover does not remove the dictionaries on uninstallation, it is necessary to do this manually.

## Check your Plover version before continuing
![Plover running with the main Plover and Plover Configuration window open on the "Machine" tab.](https://i.imgur.com/BR78od8.png)

To check if you've installed Plover version 3, the main Plover window and the Plover Configuration window will look like the image above—with the main Plover window having a Configure and About button. Clicking the About button will reveal detailed information on the version of Plover you're running. If it looks like this, you'll have to [download and install the latest version of Plover](https://github.com/openstenoproject/plover/releases/latest) before continuing.

## Steps (recommended)

First ensure that Plover version 4 is installed.

On later versions of Plover version 4, you can open Plover's config folder via the option in the file menu:

![Plover window open showing the File > Open config folder menu option highlighted.](https://i.imgur.com/iGRpgmh.png)

In this folder you will find the dictionaries. Simply delete `main.json` and `commands.json`. You will then need to either restart Plover, or reconnect the machine so that Plover will replace it with its own version.

Alternatively, you can also download an up-to-date version of the Plover dictionaries ([main.json](https://raw.githubusercontent.com/openstenoproject/plover/master/plover/assets/main.json),
[commands.json](https://raw.githubusercontent.com/openstenoproject/plover/master/plover/assets/commands.json)) (either open the link and save the file, or right click the link and press "save link as"), then replace the old dictionaries in the config folder.  You will then need to either restart Plover, or reconnect the machine to refresh the dictionaries.



## Location of the config folder (advanced users)

The exact location of this folder depends on the operating system, and it is as follows.

### Windows
    %LOCALAPPDATA%\plover\plover

In Windows 10 and later you can copy and paste the path `%LOCALAPPDATA%\plover\plover` into the Start menu search field and clicking Open. 

![Windows 10 Start menu search showing the %LOCALAPPDATA%\plover\plover path in the search field with its folder highlighted as the best match.](https://i.imgur.com/sdXkngl.png)

Alternatively, you can use the shortcut `Windows Logo + R` to open the Run dialog box and 

1. Pasting the `%LOCALAPPDATA%\plover\plover` path described earlier into the Open field.
2. Click OK. 

For example the full path may be `C:\Users\<Username>\AppData\Local\plover\plover` after entering the `%LOCALAPPDATA%\plover\plover` location described above.

### Mac
    ~/Library/Application Support/plover


1.  On your Mac, from the Finder, do any of the following: 
    * _Using your mouse or trackpad:_ Navigate to Go > Go to Folder...
    * _Using keyboard shortcuts:_ Reveal the "Go to Folder..." prompt by using the shortcut `Command-Shift-G`.
2.  In the "Go to the folder:" field enter `~/Library/Application Support/plover` as the path. You may wish to copy and paste this path.
3.  Click Go.
4.  The Finder window should now reveal your plover configuration directory for the user you're currently logged into.

The full path is equivalent to navigating to `/Users/<Username>/Library/Application Support/plover`. 

### Linux (AppImage)
#### dev8 and before:
    ~/.local/share/plover
> NOTE: this location will still work for later versions of Plover due to backwards compatibility, as long as there's no `plover.cfg` file in the latter location.
#### dev9 and after:
    ~/.config/plover